Bug 117247 - Temporary files created in the current directory (ppmfade)
Summary: Temporary files created in the current directory (ppmfade)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: netpbm   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-01 23:07 UTC by Michal Jaegermann
Modified: 2015-03-05 01:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-02 16:12:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-03-01 23:07:30 UTC
Description of problem:

Recent security update creates temporary files for 'ppmfade'
in a directory generated like this:

my $tmpdir = tempdir("ppmfade.XXXXXX", CLEANUP => 1);

This attempts to write to the current working directory
which may be problematic if that happens to be, for example,
on a read-only file system.  Say, when processing pictures
on a CD.  Instead the following should be used:

my $tmpdir = tempdir("ppmfade.XXXXXX", CLEANUP => 1, TMPDIR => 1);

as then $TMPDIR settings will be honoured and if not set then
$tmpdir will be created in /tmp/.

Version-Release number of selected component (if applicable):
netpbm-9.24-12.1.1 but the same applies to an updated for RH9
and likely for other versions as well.

Comment 1 Phil Knirsch 2004-07-02 16:12:20 UTC
Fixed in netpbm-10.22-2 and later.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.